Subject: bug#21019: closed (Re: bug#21019: ifconfig doesn't allow mac change for devices)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 11 Jul 2015 10:28:03 +0000

Your bug report

#21019: ifconfig doesn't allow mac change for devices

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21019: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21019
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21019: ifconfig doesn't allow mac change for devices
From: [email-masked] (Ludovic Courtès)
To: "info\@danieleparisi.me info\@danieleparisi.me" <[email-masked]>
Cc: Alex Kost <[email-masked]>, 21019 <[email-masked]>
Date: Sat, 11 Jul 2015 12:27:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

"[email-masked] [email-masked]" <[email-masked]>
skribis:

>> On July 10, 2015 at 1:30 PM Ludovic Courtès <[email-masked]> wrote:
>> This is in the ‘iproute2’ package.  Should we add it to the installation
>> image?
>
> Yes please

Done in commit d43002f, which will be in 0.8.3.

Thanks,
Ludo’.

Subject: ifconfig doesn't allow mac change for devices
From: "[email-masked] [email-masked]" <[email-masked]>
To: bug-guix <[email-masked]>
Date: Thu, 9 Jul 2015 14:16:06 -0400 (EDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, I am trying to install guixsd with the installation image, my wireless
internet provider allows me for only one MAC. The command I use to change the
card mac on other distros and installation images is:

ifconfig device hw ether NewMacAdress

But with guixsd ifconfig fails telling me that the device can have only one
address. Interesting to notice that I can put whatever device, even non existent
names like "jlakjdj" and it tells the same thing, the device can only have on
adress. I have an Atheros card.